% Sweep DARM (differential arm length) in DRFPMI and generate plots.
%
% [xPos, sigDC, fDC] = sweepDARM(Nsweep)
% see sweepDC for information about the parameters
%
% This displays some DC signals, and some demod signals, during
% a DARM sweep.  The AS_I2 and Q2 signals are used for DARM, but
% the phase at DC is only part of the story (see respDARM).

function [xPos, sigDC, fDC] = sweeplPR(Nsweep)

  % prepare some variables
  sweepSetup

  % adding this to sweepSetup causes matlab to crash, so do it here
  nDC = [nREFL(1) nAS(1) nPOX(1) nPOY(1) nTRX(1) nTRY(1)];

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % DARM sweep
  len = [3 9];
  posstart = [3 3];
  posend = [10 10];
  [xPos, sigDC, fDC] = sweepLink(opt, len, posstart, posend, Nsweep);

   
  fDCp = permute(fDC, [2, 3, 1]);
  n = getFieldAt(opt, nPR, 'fr');		% PR front input field

%  subplot(2, 1, 1)
  semilogy(xPos(nPR, :), abs(fDCp(nSBa, :, n)))%, ...
%           xPos(nPR, :), abs(fDCp(nSBb, :, n)), '--')
  title('PRCL sweep: RF component powers in the PRC')
%  legend(num2str([vFrf(nSBa); vFrf(nSBb)] / 1e6))
  legend(num2str(vFrf(nSBa) / 1e6))
  grid on

  nSBa
  [a,b]=max(abs(fDCp(3, :, n)));
  a
  xPos(nPR, b)
  
  if 0
  
  subplot(2, 1, 2)
  plot(xPos(nEX, :), sigDC(nAS(4:end), :))
  legend(prbNames(nAS(4:end)))
  title('DARM sweep: AS demod signals')
  grid on
  
  end